#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 taffybar
version:              4.0.3
visibility:           public
id:                   taffybar-4.0.3-9HolRjMoh1j7x7UdAkLCkf
key:                  taffybar-4.0.3-9HolRjMoh1j7x7UdAkLCkf
license:              BSD-3-Clause
maintainer:           IvanMalison@gmail.com
author:               Ivan Malison
homepage:             http://github.com/taffybar/taffybar
synopsis:             A desktop bar similar to xmobar, but with more GUI
category:             System
abi:                  bbf46f67dc9f173ca676af3ab449c951
exposed:              True
exposed-modules:
    System.Taffybar System.Taffybar.Auth System.Taffybar.Context
    System.Taffybar.DBus System.Taffybar.DBus.Toggle
    System.Taffybar.Example System.Taffybar.Hooks
    System.Taffybar.Information.Battery System.Taffybar.Information.CPU
    System.Taffybar.Information.CPU2 System.Taffybar.Information.Chrome
    System.Taffybar.Information.Crypto
    System.Taffybar.Information.DiskIO
    System.Taffybar.Information.EWMHDesktopInfo
    System.Taffybar.Information.MPRIS2
    System.Taffybar.Information.Memory
    System.Taffybar.Information.Network
    System.Taffybar.Information.SafeX11
    System.Taffybar.Information.StreamInfo
    System.Taffybar.Information.X11DesktopInfo
    System.Taffybar.Information.XDG.Protocol
    System.Taffybar.LogFormatter System.Taffybar.SimpleConfig
    System.Taffybar.Support.PagerHints System.Taffybar.Util
    System.Taffybar.Widget System.Taffybar.Widget.Battery
    System.Taffybar.Widget.CPUMonitor
    System.Taffybar.Widget.CommandRunner System.Taffybar.Widget.Crypto
    System.Taffybar.Widget.DiskIOMonitor
    System.Taffybar.Widget.FSMonitor
    System.Taffybar.Widget.FreedesktopNotifications
    System.Taffybar.Widget.Generic.AutoSizeImage
    System.Taffybar.Widget.Generic.ChannelGraph
    System.Taffybar.Widget.Generic.ChannelWidget
    System.Taffybar.Widget.Generic.DynamicMenu
    System.Taffybar.Widget.Generic.Graph
    System.Taffybar.Widget.Generic.Icon
    System.Taffybar.Widget.Generic.PollingBar
    System.Taffybar.Widget.Generic.PollingGraph
    System.Taffybar.Widget.Generic.PollingLabel
    System.Taffybar.Widget.Generic.VerticalBar
    System.Taffybar.Widget.Layout System.Taffybar.Widget.MPRIS2
    System.Taffybar.Widget.NetworkGraph System.Taffybar.Widget.SNITray
    System.Taffybar.Widget.SimpleClock
    System.Taffybar.Widget.SimpleCommandButton
    System.Taffybar.Widget.Text.CPUMonitor
    System.Taffybar.Widget.Text.MemoryMonitor
    System.Taffybar.Widget.Text.NetworkMonitor
    System.Taffybar.Widget.Util System.Taffybar.Widget.Weather
    System.Taffybar.Widget.Windows System.Taffybar.Widget.Workspaces
    System.Taffybar.Widget.WttrIn System.Taffybar.Widget.XDGMenu.Menu
    System.Taffybar.Widget.XDGMenu.MenuWidget
    System.Taffybar.WindowIcon

hidden-modules:
    Paths_taffybar System.Taffybar.DBus.Client.MPRIS2
    System.Taffybar.DBus.Client.Params
    System.Taffybar.DBus.Client.UPower
    System.Taffybar.DBus.Client.UPowerDevice
    System.Taffybar.DBus.Client.Util

import-dirs:          /usr/lib/ghc-9.2.8/site-local/taffybar-4.0.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/taffybar-4.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/taffybar
hs-libraries:         HStaffybar-4.0.3-9HolRjMoh1j7x7UdAkLCkf
extra-libraries:
    gtk-3 gdk-3 z pangocairo-1.0 pango-1.0 harfbuzz atk-1.0
    cairo-gobject cairo gdk_pixbuf-2.0 gio-2.0 gobject-2.0 glib-2.0

include-dirs:
    /usr/include/gtk-3.0 /usr/include/pango-1.0
    /usr/include/cloudproviders /usr/include/cairo
    /usr/include/gdk-pixbuf-2.0 /usr/include/at-spi2-atk/2.0
    /usr/include/at-spi-2.0 /usr/include/atk-1.0 /usr/include/dbus-1.0
    /usr/lib/dbus-1.0/include /usr/include/fribidi /usr/include/libxml2
    /usr/include/pixman-1 /usr/include/harfbuzz /usr/include/freetype2
    /usr/include/libpng16 /usr/include/gio-unix-2.0
    /usr/include/glib-2.0 /usr/lib/glib-2.0/include
    /usr/include/libmount /usr/include/blkid /usr/include/sysprof-6

depends:
    HStringTemplate-0.8.8-BL2EFvoDbwS1DUwWKOFwrV
    X11-1.10.3-8NdPo2dy5eHGXd7RnXiWFu
    aeson-2.1.2.1-9T6l6SxZl5u1C3PaFHxalW
    ansi-terminal-0.11.5-BXgCGsu4GW1KcVdL1gczJe base-4.16.4.0
    broadcast-chan-0.2.1.2-f02PvATo7NKoyx3Lp7VKE bytestring-0.11.4.0
    conduit-1.3.6-7XhR2ax9qCFCYitRevMXBd containers-0.6.5.1
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3
    dbus-1.3.1-3aIn4XDp0DxJwewHgF5q0t
    dbus-hslogger-0.1.0.1-2K0cLGAyCQCGF4xAfQZS0u directory-1.3.6.2
    dyre-0.9.2-5abLnFQgVLs9P4QvCpgWpr
    either-5.0.2-7SfOneqgWXT3eioE3JLl93
    enclosed-exceptions-1.0.3-60C2xMhndq3A9ENtV7RBC4 filepath-1.4.2.2
    gi-cairo-connector-0.1.1-AdfhhpUFIyOABqCfx2hsGF
    gi-cairo-render-0.1.2-FAcF59rUflp8gCuyGUhHiI
    gi-gdk-3.0.25-7wmQvtDFGPB9AhyCQ3MtBT
    gi-gdkpixbuf-2.0.31-LJW4NGTZMVh2gdqnaCSSkc
    gi-gdkx11-3.0.12-DExpvm20i6c3IYEoVx1ddL
    gi-glib-2.0.29-IcHJLRmKng31SPNCmX8tIg
    gi-gtk-3.0.38-3MSvo90mKG09Ly3yWqFu9b
    gi-gtk-hs-0.3.16-5tUdGaChS4n8iFC1fVjv9F
    gi-pango-1.0.29-DpKDNSyvxNL9Sr1OpgY5D3
    gtk-sni-tray-0.1.8.1-J2diwvhA7uS5aNYjeOjFWo
    gtk-strut-0.1.3.2-3CaEidXBZVO5jicXl2fbq8
    haskell-gi-base-0.26.5-9u86NL3wgSOEr4gB6yMmBl
    hslogger-1.3.1.1-C0fSv2ywjFOLenSLsgvJ4E
    http-client-0.7.17-LkMyZpNptn98HvZxyCKVzN
    http-client-tls-0.3.6.3-HaMOh2hLbWb4JSEcAgkxpy
    http-conduit-2.3.9.1-DydMFPA6sNc1DuMH7G82BC
    http-types-0.12.4-9Ur1ShtqVpgp5ryNgXxt8
    multimap-1.2.1-2IAvtGljS5zEVxuDX8lIuU parsec-3.1.15.0
    process-1.6.16.0 rate-limit-1.4.3-GgKPfmYk1rq2rp9ut0wxbG
    regex-compat-0.95.2.1-6r4iKSNuQHkEjgz1ilm8wy
    safe-0.3.21-4ynkTB2vBWyGWx3PTLGArE
    scotty-0.22-AOb8sKcCluLAucLuACwn4
    split-0.2.5-1asvxxLzz3P40WkIiqLwMi
    status-notifier-item-0.3.1.0-8l2Rlpd2AJOKKjvXaGtvA9 stm-2.5.0.2
    template-haskell-2.18.0.0 text-1.2.5.0 time-1.11.1.1
    time-locale-compat-0.1.1.5-LoE3V3We7KBAnFwKjT98C2
    time-units-1.0.0-5ANWMnlmGbA6CL2adJPINT transformers-0.5.6.2
    tuple-0.3.0.2-2o69b64roHA8gUpvnD8sKT unix-2.7.2.2
    utf8-string-1.0.2-9i4m1tpDbmh81tMCrQ25jI
    xdg-basedir-0.2.2-BAENMrhgj9o4xkjbLJyx83
    xdg-desktop-entry-0.1.1.2-JIHr5j02DB9ZqeNOifwyA
    xml-1.3.14-6RhFPlxQprr192No4Dq3gf
    xml-helpers-1.0.0-KVIOBFUCXoGnjpBr1W1E3
    xmonad-0.18.0-6TviB5YtYcz7QOuVDoXyxK

haddock-interfaces:   /usr/share/doc/taffybar/html/taffybar.haddock
haddock-html:         /usr/share/doc/taffybar/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

